// components/diy_heatImg/diy_heatImg.js
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    object: {
      type: Object,
      value: null,
    },
  },

  /**
   * 组件的初始数据
   */
  data: {

  },

  /**
   * 组件的方法列表
   */
  methods: {
    //---智能跳转---
    go_url: function (e) {
      var url = e.currentTarget.dataset.url;
      getApp().goto(url);
    },
    nv_void(e) {
      var feedId = e.currentTarget.dataset.feedid;
      var finderUserName = e.currentTarget.dataset.finderUserName;
      var video_type = e.currentTarget.dataset.video_type;
      getApp().openChannelsActivity({
        feedId,
        finderUserName,
        video_type
      })
    },
  }
})
